# Get recent vendors by channel

Returns a merged list of recently paid vendors from suppliers and expenses. Vendors from suppliers have an _id, while vendors derived from expenses lack an _id to indicate they can be created as new vendors.

Endpoint: GET /vendors/recent/{channel}
Version: 2.0.0
Security: oauth2ClientCredentials

## Path parameters:

  - `channel` (string, required)
    Payment channel type

## Header parameters:

  - `org_wallet_ref` (string)
    Organization wallet reference, defaults to "1" if not provided

  - `business_id` (string, required)
    Business identifier for the request

## Response 200 fields (application/json):

  - `_id` (string)
    Vendor MongoDB ID (only present for existing suppliers)

  - `vendor` (string)
    Vendor/Company name

  - `receiver` (string)
    Receiver name

  - `accno` (string)
    Account number

  - `vendor_ref` (object)
    Vendor reference

  - `channel` (string)
    Payment channel
    Enum: "mpesa", "mtn", "pochi", "airtel", "xentebanktransfer", "bank", "rtgs", "paybill", "till", "airtime", "internal"

  - `phone` (string)
    Phone number

  - `company_name` (string)
    Company name (for existing suppliers)

  - `contact_name` (string)
    Contact person name

  - `email` (string)
    Email address

  - `payment_instructions` (array)
    Payment instructions (for existing suppliers)

  - `payment_instructions._id` (string)
    Payment instruction MongoDB ID

  - `payment_instructions.channel` (string)
    Payment channel type
    Enum: "mpesa", "mtn", "pochi", "airtel", "xentebanktransfer", "bank", "rtgs", "paybill", "till", "airtime", "internal"

  - `payment_instructions.phone` (string)
    Phone number for mpesa payments

  - `payment_instructions.accno` (string)
    Account number for bank payments

  - `payment_instructions.bank` (string)
    Bank name

  - `payment_instructions.bank_code` (string)
    Bank code

  - `payment_instructions.bankCode` (string)
    Bank code (alternative field)

  - `payment_instructions.till` (string)
    Till number for till payments

  - `payment_instructions.business_no` (string)
    Business number for paybill payments

  - `payment_instructions.is_default` (boolean)
    Whether this is the default payment method

